Subject: Re: bug#28889: 26.0.90; TRAMP and custom file location

From: Michael Albinus <[email-masked]>
Date: Mon, 23 Oct 2017 10:53:29 +0200

Davor Rotim <[email-masked]> writes:

> Hello,

Hi Davor,

> I've made a fresh clone of the emacs-26 branch today and built it.
> Last commit on the branch was: "3aee7be Avoid unnecessary rounding
> errors in timestamps"
> The issue still seems to persist (with or without make autoloads
> before running make).

I cannot reproduce this. I have moved my .emacs file away, and I have
replaced it by what you have shown:

--8<---------------cut here---------------start------------->8---
~/> cat ~/.emacs
;; Begin
(package-initialize)
(add-to-list 'package-archives
             '("melpa" . "https://melpa.org/packages/"))

(unless (package-installed-p 'use-package)
  (package-refresh-contents)
  (package-install 'use-package))

(eval-when-compile
  (require 'use-package))

(use-package slime
  :ensure t)

(setq custom-file "~/.emacs.d/custom.el")
(load custom-file 'noerror)
;; End
--8<---------------cut here---------------end--------------->8---

There doesn't exist a custom.el file yet:

--8<---------------cut here---------------start------------->8---
~/> ls ~/.emacs.d/custom.el
ls: cannot access '/home/albinus/.emacs.d/custom.el': No such file or directory
--8<---------------cut here---------------end--------------->8---

Now I call emacs, change for test user option `ange-ftp-xfer-size-msgs',
and close it afterwards. The custom.el does not contain any Tramp object:

--8<---------------cut here---------------start------------->8---
~/> ~/src/emacs-26/src/emacs
~/> cat ~/.emacs.d/custom.el
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(ange-ftp-xfer-size-msgs "^150 .* connection for .* (\\([0-9]+\\) bytes)"))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
--8<---------------cut here---------------end--------------->8---

> Thank you for your efforts,
>
> Davor Rotim

Best regards, Michael.